﻿
try {

	OokBF.src = `
		========== Your BF program goes below =============

			"Echo" application:

			++++++++++[>+++++++>++++++++++>++++++>+<<<<-]
			>-.>-.+++++.+++++++.>--.>. >>>>>                                   // outputs "Echo:"
						  , [->+>+<<] ++++++ [>------<-] > [ <<< ] >>>  >      // input first byte;  check for '$'
			[   .[-]<[-]< , [->+>+<<] ++++++ [>------<-] > [ <<< ] >>>  >  ]   // input other bytes; check for '$'

		========== BF program ends ========================
		`;



	OokBF.inputType = "console utf";  // "console utf" for console, "stdInput utf" for stdInput

	OokBF.stdInput = `
Example standard input.
If the application is "Echo", and "OokBF.inputType" is set to "stdInput utf",
then this text will be output into the terminal.
`;


	OokBF.termEmu = "ansi utf";     // one of: "dos", "dos utf", "ansi utf"
	OokBF.EOF     = "no-write";     // one of: "no-write", "0", "255"

	OokBF.showStandardOutput = true;      //true or false
	OokBF.showSourceCode     = false;     //true or false
	OokBF.showExecutionSpeed = true;      //true or false
	OokBF.disableF8          = false;     //true or false
	OokBF.disableResizer     = false;     //true or false   (automatically resizes the terminal to fit the window)
	OokBF.clearOnRestart     = true;      //true or false   (clears the terminal when the application is restarted)

	// The text for the start screen, in HTML format
	OokBF.infoHTML = `

	    <br>

		<h2>Example application: <i>Echo</i></h2>
		<ul>
			<li>this application outputs to the terminal the same text that was typed into it</li>
			<li>this application ends when it encounters an “$” character</li>
		</ul>

		<h2>Environment instructions:</h2>
		<ul>
			<li>click on the “Run” button below to run the application</li>
			<li>press <span class="keys">F8</span> key to return to this screen at any time</li>
			<li>press <span class="keys">F11</span> key for fullscreen mode</li>
		</ul>

		<h2 style="color: #4e9;">Creating your own applications</h2>
		<ul>
			<li>edit the file<span class="fontSrcMono"> app/exampleApplication.js </span> to create
			    your own application</li>
				<ul>
					<li>the file is self-explanatory</li>
					<li>the file is in the public domain (via CC0 1.0 Universal license)</li>
				</ul>
			<li>additional licensing information is available in <a href="LICENSE.txt">this file</a></li>
		</ul>

		<hr>

		`;

	OokBF.end = true;   // set this to true when OokBF object is ready to be processed

 } catch(e) { envOokBF.AppExceptionShow(e);  };

